Subject: Re: battle with x-clipboard vs. Chinese

From: [email-masked]
Date: Sun, 25 Jul 2010 09:08:58 +0800

>>>>> "DDLHG" == David De La Harpe Golden <[email-masked]> writes:

DDLHG> On 24/07/10 18:36, [email-masked] wrote:
>> I just updated to
>> emacs-snapshot:
>> Installed: 1:20100724-1
>> and am having to battle getting Chinese in correctly from the X
>> clipboard.
>> It is turning into ###, ???, \u{5432}, etc. etc.
>> 

DDLHG> Do you see this when using middle mouse button or C-y or both?

All I know is starting with 
   $ apt-cache policy emacs-snapshot 
   emacs-snapshot:
     Installed: 1:20100724-1
     Candidate: 1:20100724-1
     Version table:
    *** 1:20100724-1 0
           500 http://emacs.orebokech.com sid/main Packages
           100 /var/lib/dpkg/status

I am having two kinds of pain:

1. Having to write things into /tmp/files to be able to read them into
emacs correctly as xclip now can't if I want Chinese intact.
I try every button and end up having to resort to /tmp.

2. Even more disconnection between C-y, Shift-insert, the middle mouse
button, between emacs and the outside world. I wish I could make them
all connected.

DDLHG> This sounds like it might be bug #6635, an encoding handling problem
DDLHG> in mouse-yank-primary, which could affect people more due to recent
DDLHG> changes:

DDLHG> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6635